For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTAdd Entity to Folder
      • GETList Folder Entities
LogoLogo
BlogLog InRequest Demo
Client SDKFolders

Add Entity to Folder

Beta
POST
https://api.vellum.ai/v1/folders/:folder_id/add-entity
POST
/v1/folders/:folder_id/add-entity
1import requests
2
3url = "https://api.vellum.ai/v1/folders/folder_id/add-entity"
4
5payload = { "entity_id": "string" }
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
200Successful
1{}
Add an entity to a specific folder or root directory. Adding an entity to a folder will remove it from any other folders it might have been a member of.
Was this page helpful?
Previous

List Folder Entities

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

folder_idstringRequired

The ID of the folder to which the entity should be added. This can be a UUID of a folder, or the name of a root directory. Supported root directories include:

  • PROMPT_SANDBOX
  • WORKFLOW_SANDBOX
  • DOCUMENT_INDEX
  • TEST_SUITE

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
entity_idstringRequiredformat: "uuid"
The ID of the entity you would like to move.

Response

No response body